Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Monthly US macroeconomic indicators including consumption expenditure and consumer confidence.
{ "macroUS": [ { "date": "2025-02-01", "series_key": "SERIES_A", "value": 15842.6 }, { "date": "2025-02-01", "series_key": "SERIES_B", "value": 98.3 } ] }
120
Show Object properties
curl "https://api.consumersignals.io/api/macro-us?months=36"
import requests response = requests.get( "https://api.consumersignals.io/api/macro-us", params={"months": 36} ) data = response.json()
const response = await fetch( "https://api.consumersignals.io/api/macro-us?months=36" ); const data = await response.json();